<semantic-table
  id='table-persons'
  query='SELECT ?subject ?label (group_concat(?alias; separator=", ") as ?aliases) ?ismi_id ?byear ?dyear ?mams 
  WHERE {
    ?subject a ismi:Person ;
      rdfs:label ?label ;
      crm:P1_is_identified_by ?id .
    ?id crm:P2_has_type ismiidtype:ismi-id ;
      rdfs:label ?ismi_id .
    OPTIONAL {
      ?subject crm:P1_is_identified_by ?alias_uri .
      ?alias_uri crm:P2_has_type <http://content.mpiwg-berlin.mpg.de/ns/ismi/type/name/alias-name> ;
        rdfs:label ?alias .
    }
    OPTIONAL {
      ?subject crm:P98i_was_born / crm:P4_has_time-span / (crm:P82_at_some_time_within | crm:P82a_begin_of_the_begin ) ?bdate.
      bind(year(?bdate) as ?byear)
    }
    OPTIONAL {
      ?subject crm:P100i_died_in / crm:P4_has_time-span / (crm:P82_at_some_time_within | crm:P82a_begin_of_the_begin ) ?ddate.
      bind(year(?ddate) as ?dyear)
    }  
    OPTIONAL {
      ?subject crm:P1_is_identified_by ?mams_id .
      ?mams_id crm:P2_has_type ismiidtype:MAMS ;
        rdfs:label ?mams_str .
      bind(xsd:integer(?mams_str) as ?mams)
    }
  } GROUP BY ?subject ?label ?ismi_id ?byear ?dyear ?mams
  ORDER BY lcase(?label)'
  number-of-displayed-rows=100
  column-configuration='[
  [[#if copyId]] 
    { 
      "displayName": "Select",
      "cellTemplate": "<mp-copy-to-clipboard text=\"{{ismi_id.value}}\"><button class=\"btn btn-sm btn-primary\">Copy ID</button></mp-copy-to-clipboard>"
    },
    {"variableName": "ismi_id", "displayName": "ID"},
  [[/if]]
    { "variableName": "subject", "displayName": "Name" },
    { "variableName": "aliases", "displayName": "Aliases" },
    { "variableName": "byear", "displayName": "Born(G)" },
    { "variableName": "dyear", "displayName": "Died(G)" },
    { "variableName": "mams", "displayName": "MAMS" }
  ]'
  options='{"showFilter": false}'
  >
</semantic-table>
